View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013453CMakeCMakepublic2012-08-03 15:552016-06-10 14:31
ReporterMichael Mc Donnell 
Assigned ToPhilip Lowman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionmoved 
Platformx86-64OSWindowsOS Version7
Product VersionCMake 2.8.8 
Target VersionFixed in Version 
Summary0013453: Boost_DIR set to Boost_DIR-NOTFOUND
DescriptionWhen I run cmake-gui on any cmake project that requires boost, the variable Boost_DIR is set to Boost_DIR-NOTFOUND. However, it still manages to set Boost_INCLUDE_DIR and Boost_LIBRARY_DIRS just fine. Boost_DIR is defined as a system variable, so it really shouldn't be saying it can't find it.
Steps To Reproduce1. Install boost 1.50 from boostpro.com

2. Set user variable Boost_DIR to boost installation path

3. Log out and log in.

4. Create a simple CMakeLists.txt file that uses boost (see attachment).

5. Open cmake-gui and set the source code and build directories to the one that contains the CMakeLists.txt file.

6. Click Configure
Additional InformationThe variable Boost_DIR is set to Boost_DIR-NOTFOUND in FindBoost.cmake on the line:

find_package(Boost QUIET NO_MODULE)

The output of running cmake-gui is:

Check for working C compiler using: Visual Studio 10
Check for working C compiler using: Visual Studio 10 -- works
Detecting C compiler ABI info
Detecting C compiler ABI info - done
Check for working CXX compiler using: Visual Studio 10
Check for working CXX compiler using: Visual Studio 10 -- works
Detecting CXX compiler ABI info
Detecting CXX compiler ABI info - done
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:526 ] Boost not in cache
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:529 ] _boost_TEST_VERSIONS = 1.50.0;1.50;1.49.0;1.49;1.48.0;1.48;1.47.0;1.47;1.46.1;1.46.0;1.46;1.45.0;1.45;1.44.0;1.44;1.43.0;1.43;1.42.0;1.42;1.41.0;1.41;1.40.0;1.40;1.39.0;1.39;1.38.0;1.38;1.37.0;1.37;1.36.1;1.36.0;1.36;1.35.1;1.35.0;1.35;1.34.1;1.34.0;1.34;1.33.1;1.33.0;1.33
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:531 ] Boost_USE_MULTITHREADED = TRUE
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:533 ] Boost_USE_STATIC_LIBS =
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:535 ] Boost_USE_STATIC_RUNTIME =
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:537 ] Boost_ADDITIONAL_VERSIONS =
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:539 ] Boost_NO_SYSTEM_PATHS =
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:607 ] Declared as CMake or Environmental Variables:
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:609 ] BOOST_ROOT = C:/Program Files (x86)/boost/boost_1_50
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:611 ] BOOST_INCLUDEDIR =
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:613 ] BOOST_LIBRARYDIR =
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:615 ] _boost_TEST_VERSIONS = 1.50.0;1.50;1.49.0;1.49;1.48.0;1.48;1.47.0;1.47;1.46.1;1.46.0;1.46;1.45.0;1.45;1.44.0;1.44;1.43.0;1.43;1.42.0;1.42;1.41.0;1.41;1.40.0;1.40;1.39.0;1.39;1.38.0;1.38;1.37.0;1.37;1.36.1;1.36.0;1.36;1.35.1;1.35.0;1.35;1.34.1;1.34.0;1.34;1.33.1;1.33.0;1.33
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:668 ] Include debugging info:
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:670 ] _boost_INCLUDE_SEARCH_DIRS = C:/Program Files (x86)/boost/boost_1_50/include;C:/Program Files (x86)/boost/boost_1_50;C:/boost/include;C:/boost;C:\Program Files (x86)/boost/include;C:\Program Files (x86)/boost;/sw/local/include
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:672 ] _boost_PATH_SUFFIXES = boost-1_50_0;boost_1_50_0;boost-1_50;boost_1_50;boost-1_49_0;boost_1_49_0;boost-1_49;boost_1_49;boost-1_48_0;boost_1_48_0;boost-1_48;boost_1_48;boost-1_47_0;boost_1_47_0;boost-1_47;boost_1_47;boost-1_46_1;boost_1_46_1;boost-1_46_0;boost_1_46_0;boost-1_46;boost_1_46;boost-1_45_0;boost_1_45_0;boost-1_45;boost_1_45;boost-1_44_0;boost_1_44_0;boost-1_44;boost_1_44;boost-1_43_0;boost_1_43_0;boost-1_43;boost_1_43;boost-1_42_0;boost_1_42_0;boost-1_42;boost_1_42;boost-1_41_0;boost_1_41_0;boost-1_41;boost_1_41;boost-1_40_0;boost_1_40_0;boost-1_40;boost_1_40;boost-1_39_0;boost_1_39_0;boost-1_39;boost_1_39;boost-1_38_0;boost_1_38_0;boost-1_38;boost_1_38;boost-1_37_0;boost_1_37_0;boost-1_37;boost_1_37;boost-1_36_1;boost_1_36_1;boost-1_36_0;boost_1_36_0;boost-1_36;boost_1_36;boost-1_35_1;boost_1_35_1;boost-1_35_0;boost_1_35_0;boost-1_35;boost_1_35;boost-1_34_1;boost_1_34_1;boost-1_34_0;boost_1_34_0;boost-1_34;boost_1_34;boost-1_33_1;boost_1_33_1;boost-1_33_0;boost_1_33_0;boost-1_33;boost_1_33
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:697 ] location of version.hpp: C:/Program Files (x86)/boost/boost_1_50/boost/version.hpp
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:716 ] version.hpp reveals boost 1.50.0
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:809 ] guessed _boost_COMPILER = -vc100
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:819 ] _boost_MULTITHREADED = -mt
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:862 ] _boost_RELEASE_ABI_TAG = -
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:864 ] _boost_DEBUG_ABI_TAG = -gd
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:907 ] _boost_LIBRARY_SEARCH_DIRS = C:/Program Files (x86)/boost/boost_1_50/lib;C:/Program Files (x86)/boost/boost_1_50/stage/lib;C:/Program Files (x86)/boost/boost_1_50/lib;C:/Program Files (x86)/boost/boost_1_50/../lib;C:/Program Files (x86)/boost/boost_1_50/stage/lib;C:/boost/lib;C:/boost;C:\Program Files (x86)/boost/boost_1_50_0/lib;C:\Program Files (x86)/boost/boost_1_50/lib;C:\Program Files (x86)/boost/lib;C:\Program Files (x86)/boost;/sw/local/lib
[ C:/Program Files (x86)/CMake 2.8/share/cmake-2.8/Modules/FindBoost.cmake:1120 ] Boost_FOUND = TRUE
Boost version: 1.50.0
Environment Boost_DIR = C:\Program Files (x86)\boost\boost_1_50
Boost_DIR = Boost_DIR-NOTFOUND
Boost found!
Configuring done
TagsNo tags attached.
Attached Filestxt file icon CMakeLists.txt [^] (257 bytes) 2012-08-03 15:55 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0042101)
Kitware Robot (administrator)
2016-06-10 14:28

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current CMake Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2012-08-03 15:55 Michael Mc Donnell New Issue
2012-08-03 15:55 Michael Mc Donnell File Added: CMakeLists.txt
2012-08-18 15:30 Philip Lowman Status new => assigned
2012-08-18 15:30 Philip Lowman Assigned To => Philip Lowman
2016-06-10 14:28 Kitware Robot Note Added: 0042101
2016-06-10 14:28 Kitware Robot Status assigned => resolved
2016-06-10 14:28 Kitware Robot Resolution open => moved
2016-06-10 14:31 Kitware Robot Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker